#!/bin/bash
#SBATCH --nodes=1
#SBATCH --ntasks-per-node=1
#SBATCH --time=03:00:00
#SBATCH --mem-per-cpu=40G
#SBATCH --job-name=ball5842
#SBATCH --mail-type=ALL
#SBATCH --mail-user=dylan.sandfelder@cs.ox.ac.uk
#SBATCH --output=/home/ball5842/jobs_output/job-LinkPrediction/job-%j.out
#SBATCH --error=/home/ball5842/jobs_output/job-LinkPrediction/job-%j.err
##SBATCH --clusters=htc
##SBATCH --gres=gpu:1 --constraint='gpu_mem:32GB'

EXPERIMENT_NAME="LinkPrediction"

module load Anaconda3/2021.11
module load CUDA/11.2.2-GCC-10.3.0
module load cuDNN/8.1.1.33-CUDA-11.2.2

export CONPREFIX=$DATA/myenv
source activate $CONPREFIX

cd /home/ball5842/jobs_output/job-$EXPERIMENT_NAME
mkdir job-$EXPERIMENT_NAME-$SLURM_JOB_ID
cd /home/ball5842/python/

python $EXPERIMENT_NAME/$EXPERIMENT_NAME.py > /home/ball5842/jobs_output/job-$EXPERIMENT_NAME/job-$EXPERIMENT_NAME-$SLURM_JOB_ID/python.out

mv /home/ball5842/jobs_output/job-$EXPERIMENT_NAME/job-$SLURM_JOB_ID.out /home/ball5842/jobs_output/job-$EXPERIMENT_NAME/job-$EXPERIMENT_NAME-$SLURM_JOB_ID/job-$SLURM_JOB_ID.out
mv /home/ball5842/jobs_output/job-$EXPERIMENT_NAME/job-$SLURM_JOB_ID.err /home/ball5842/jobs_output/job-$EXPERIMENT_NAME/job-$EXPERIMENT_NAME-$SLURM_JOB_ID/job-$SLURM_JOB_ID.err
